Name:           tk-tktreectrl
Version:        2.2.3
Release:        1%{?dist}
Summary:        Flexible listbox widget for Tk

Group:          Development/Libraries
License:        BSD
URL:            http://tktreectrl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/tktreectrl/tktreectrl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tk-devel
Requires:       tcl(abi) = 8.4 tk
Provides:       tktreectrl = %{version}-%{release}

%description
A flexible listbox widget for Tk.

%prep
%setup -q -n tktreectrl-%{version}
chmod -x doc/* README.txt license.terms ChangeLog
chmod -x generic/*.c generic/*.h
sed -i -e 's/\r//' doc/W*.html


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}/treectrl%{version}/htmldoc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.terms README.txt ChangeLog doc/*.html
%{_libdir}/treectrl%{version}
%{_mandir}/mann/*.gz


%changelog
* Thu Jun 21 2007 Wart <wart at kobold.org> - 2.2.3-1
- Update to 2.2.3

* Thu Dec 14 2006 Wart <wart at kobold.org> - 2.2.1-1
- Update to 2.2.1

* Wed Nov 29 2006 Wart <wart at kobold.org> - 2.2-1
- Initial package for Fedora
